Skip to content

System Prompts Endpoints

System Prompts API endpoints.


Overview

Method Endpoint Description
GET /api/v1/system-prompts/ List System Prompts
GET /api/v1/system-prompts/{prompt_type} Get System Prompt
PUT /api/v1/system-prompts/{prompt_type} Upsert System Prompt

API Reference

Sartiq Backend Server - System Prompts 0.1.0

system-prompts


GET /api/v1/system-prompts/

List System Prompts

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No

Responses

[
    {
        "prompt_type": "string",
        "prompt": "string"
    }
]
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "items": {
        "$ref": "#/components/schemas/SystemPromptPublic"
    },
    "type": "array",
    "title": "Response System-Prompts-List System Prompts"
}

GET /api/v1/system-prompts/{prompt_type}

Get System Prompt

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
prompt_type path No

Responses

{
    "prompt_type": "string",
    "prompt": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "prompt_type": {
            "type": "string",
            "title": "Prompt Type"
        },
        "prompt": {
            "type": "string",
            "title": "Prompt"
        }
    },
    "type": "object",
    "required": [
        "prompt_type",
        "prompt"
    ],
    "title": "SystemPromptPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PUT /api/v1/system-prompts/{prompt_type}

Upsert System Prompt

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
prompt_type path No

Request body

{
    "prompt": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "prompt": {
            "type": "string",
            "title": "Prompt"
        }
    },
    "type": "object",
    "required": [
        "prompt"
    ],
    "title": "SystemPromptUpdate"
}

Responses

{
    "prompt_type": "string",
    "prompt": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "prompt_type": {
            "type": "string",
            "title": "Prompt Type"
        },
        "prompt": {
            "type": "string",
            "title": "Prompt"
        }
    },
    "type": "object",
    "required": [
        "prompt_type",
        "prompt"
    ],
    "title": "SystemPromptPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

HTTPValidationError

Name Type Description
detail Array<ValidationError>

SystemPromptPublic

Name Type Description
prompt string
prompt_type string

SystemPromptType

Type: string

SystemPromptUpdate

Name Type Description
prompt string

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2